Bug 216626 - games/ri-li: fails to build with clang 4.0
Summary: games/ri-li: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-30 22:41 UTC by Jan Beich
Modified: 2017-02-10 17:13 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-30 22:41:48 UTC
sprite.cc:354:16: error: ordered comparison between pointer and zero ('SDL_Surface *' and 'long')
    if(Image[i]<=NULL) {
       ~~~~~~~~^ ~~~~
sprite.cc:488:14: error: ordered comparison between pointer and zero ('SDL_Surface *' and 'long')
  if(Image[0]<=NULL) {
     ~~~~~~~~^ ~~~~

build log: http://package18.nyi.freebsd.org/data/headamd64PR216008-default/2017-01-29_16h09m05s/logs/errors/Ri-li-2.0.1_7.log
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Dmitry Marakasov freebsd_committer 2017-02-01 14:20:27 UTC
Should be fixed with r433036.
Comment 2 Jan Beich freebsd_committer 2017-02-01 14:51:11 UTC
There's one more:

tableau.cc:90:9: error: ordered comparison between pointer and zero ('unsigned char *' and 'int')
  if(Buf<=0) return false;
     ~~~^ ~
Comment 4 commit-hook freebsd_committer 2017-02-10 17:13:22 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Feb 10 17:12:23 UTC 2017
New revision: 433815
URL: https://svnweb.freebsd.org/changeset/ports/433815

Log:
  - Fix build with clang 4.0

  PR:		216626

Changes:
  head/games/ri-li/files/patch-src_tableau.cc